small portability fix.
[oota-llvm.git] / autoconf / AutoRegen.sh
1 #!/bin/sh
2 die () {
3         echo "$@" 1>&2
4         exit 1
5 }
6 test -d autoconf && test -f autoconf/configure.ac && cd autoconf
7 [ -f configure.ac ] || die "Can't find 'autoconf' dir; please cd into it first"
8 echo "Regenerating aclocal.m4 with aclocal"
9 aclocal || die "aclocal failed"
10 autoconf --version | egrep '2\.5[0-9]' > /dev/null
11 if test $? -ne 0
12 then
13         die "Your autoconf was not detected as being 2.5x"
14 fi
15 echo "Note: Warnings about 'AC_CONFIG_SUBDIRS: you should use literals' are ok"
16 echo "Regenerating configure with autoconf 2.5x"
17 autoconf -o ../configure configure.ac || die "autoconf failed"
18 cd ..
19 echo "Regenerating config.h.in with autoheader 2.5x"
20 autoheader -I autoconf autoconf/configure.ac || die "autoheader failed"
21 exit 0